Bug 193921 - Inconsistent permissions on OpenPegasus repository directories and files
Inconsistent permissions on OpenPegasus repository directories and files
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: tog-pegasus (Show other bugs)
4.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Vas Dias
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-06-02 19:01 EDT by Denise Eckstein
Modified: 2007-11-30 17:07 EST (History)
0 users

See Also:
Fixed In Version: RHBA-2006-0474
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-11-22 12:19:06 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Denise Eckstein 2006-06-02 19:01:26 EDT
Description of problem:
Permissions on created OpenPegasus repository directories and files are 
inconsistent with the permissions on the packaged repository directories and 
files. 

Version-Release number of selected component (if applicable):
tog-pegasus-2.5.1-1.EL4

How reproducible:

Steps to Reproduce:
1. ls -l /var/lib/Pegasus/repository
total 40
drwxr-x---  5 root pegasus 4096 Jun  2 16:51 root
drwxr-x---  5 root pegasus 4096 Jun  2 16:51 root#cimv2
drwxr-x---  5 root pegasus 4096 Jun  2 16:51 root#PG_Internal
drwxr-x---  5 root pegasus 4096 Jun  2 16:51 root#PG_InterOp
drwx------  5 root root    4096 Jun  2 16:57 root#test1

2. cimmof -n root/test1 /usr/share/Pegasus/mof/CIM29/Core_Qualifiers.mof

3. ls -l /var/lib/Pegasus/repository
total 40
drwxr-x---  5 root pegasus 4096 Jun  2 16:51 root
drwxr-x---  5 root pegasus 4096 Jun  2 16:51 root#cimv2
drwxr-x---  5 root pegasus 4096 Jun  2 16:51 root#PG_Internal
drwxr-x---  5 root pegasus 4096 Jun  2 16:51 root#PG_InterOp
drwx------  5 root root    4096 Jun  2 16:57 root#test1

Actual results:


Expected results:


Additional info:
Comment 1 Jason Vas Dias 2006-06-05 15:49:24 EDT
So, it would appear that all the /var/lib/Pegasus/repository/
files should have ownership 'root:root' and permission 0700 - 
I'll make this so for the next release.
Comment 2 Denise Eckstein 2006-06-05 17:01:51 EDT
Sounds right.  Thanks!
Comment 4 Bill Nottingham 2006-11-22 12:19:06 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2006-0474.html

Note You need to log in before you can comment on or make changes to this bug.